package open.dolphin.client;

/**
 *
 * @author kazm
 */

public interface IMainService  {
    
    /**
     *
     * @return
     */
    public String getName();
    
    public void setName(String name);
    
    /**
     *
     * @return
     */
    public IMainWindow getContext();
    
    public void setContext(IMainWindow context);
    
    public void start();
    
    public void stop();
    
}
